### Function

# Gimp color_parse_hex

since: 2.2

#### Declaration [src]

    GeglColor*
    gimp_color_parse_hex (
      const gchar* hex,
      gint len
    )

#### Description [src]

Attempts to parse a string describing an RGB color in hexadecimal notation (optionally prefixed with a ‘#’).

This function does not touch the alpha component of `rgb`.

Available since: 2.2

#### Parameters

`hex`

  Type: An array of `gchar`

  A string describing a color in hexadecimal notation.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`len`

  Type: `gint`

  The length of `hex`, in bytes. or -1 if `hex` is nul-terminated.

#### Return value

Type: `GeglColor`

A newly allocated color representing `hex`.

The caller of the function takes ownership of the data, and is responsible for freeing it.